// includes: lens, lens2, knob, clipknob, sideclips, eyepiece,
//           iris, mirror, mirror2, lensplate   

#declare lens =
cone { <0, -.35 0>, 0.22, <0, -.48, 0>, .13
  texture {New_Brass}
 }

#declare lens2 =
union {
torus {0.4, 0.045
  translate <0.0, 0.651166, 0.0>
  texture {Silver1}
 }
torus {0.4, 0.045
  translate <0.0, 0.55, 0.0>
  texture {New_Brass}
 }
cylinder {<0, -0.2, 0>, <0, 0.2, 0>, 0.32
  translate <0.0, 0.359, 0.0>
  texture {New_Brass}
}
torus {0.325, 0.035
  translate <0.0, 0.164, 0.0>
  texture {New_Brass}
}
torus {0.325, 0.035
  translate <0.0, 0.086, 0.0>
  texture {New_Brass}
}
cylinder {<0, -0.25, 0>, <0, 0.25, 0>, 0.225
  translate <0.0, -0.1, 0.0>
  texture {New_Brass}
}
torus {0.23, 0.025
  translate <0.0, -0.336, 0.0>
  texture {New_Brass}
}
cylinder {<0, -0.25, 0>, <0, 0.25, 0>, 0.365
  translate <0.0, 0.78, 0.0>
  texture {New_Brass}
 }
cone { <0, -.35 0>, 0.22, <0, -.48, 0>, .13
  texture {New_Brass}
 }
}

#declare knob =
union {
difference {
 cylinder {<0, -0.125, 0>, <0, 0.125, 0>, 0.57
  translate <0.0, 0.1265, 0.0>
   texture {New_Brass}
  }
 cylinder {<0, -0.085, 0>, <0, 0.085, 0>, 0.5
  translate <0.0, 0.167, 0.0>
  texture {New_Brass}
  }
 }

 cone { <0, -0.075, 0>, 0.16, <0, -.1225, 0>, 0.22
  translate <0, 0.2455, 0.0>
   texture {New_Brass}
 }
}

#declare clipknob =
union {
 cylinder {<0, -0.2, 0>, <0, 0.2, 0>, 0.32
   scale <0.3, 0.3, 0.3>
   translate <-0.929, -0.5175, 0.0>
   texture {New_Brass}
  }
 cone { <0, -0.2, 0>, 0.05, <0, 0, 0>, 0
   translate <-0.929, -0.252, 0.0>
   texture {New_Brass}
 }
 cylinder {<0, -0.0125, 0>, <0, 0.0125, 0>, 0.08
   translate <-0.929, -0.27, 0.0>
   texture {New_Brass}
 }
 torus {0.08, 0.0125
   translate <-0.929, -0.27, 0.0>
   texture {New_Brass}
 }
}

#declare slideclips =
object {
  slideclip
    texture {Silver1}
    translate <0, .0, -.91>
clipped_by {
 plane { <0, 0, 1>, 0 
  scale <0.1, 0.1, 0.1>
  rotate <0.0, -45.0, 0.0>
  translate <-1.0, -0.46, -0.808>
  }
 plane { <0, 0, 1>, 0 
  scale <0.1, 0.1, 0.1>
  rotate <0.0, -135.0, 0.0>
  translate <-1.0, -0.46, -0.895>
  }
 plane { <0, 0, 1>, 0 
  scale <0.1, 0.1, 0.1>
  rotate <0.0, 45.0, 0.0>
  translate <0.598, -0.46, -0.803666>
  }
 plane { <0, 0, 1>, 0 
  scale <0.1, 0.1, 0.1>
  rotate <0.0, 135.0, 0.0>
  translate <0.6, -0.46, -0.895>
  }
 }
     translate <-.04, .025, 0>
}

#declare eyepiece =
union {
 cylinder {<0, -0.455, 0>, <0, 0.455, 0>, 0.36 open
  translate <0.0, 5.15, 0.0>
  texture {New_Brass}
 }
 cone { <0, -0.15, 0>, 0.4, <0, 0, 0>, 0
  translate <0.0, 4.83, 0.0>
  texture {New_Brass}
 }
 torus {0.37, 0.035
  scale <1.0, 1.0, 0.8>
  translate <0.0, 5.6, 0.0>
  texture {New_Brass}
 }
}

#declare iris =
cylinder {<0, -0.5, 0>, <0, 0.5, 0>, 1.0
  scale <0.9, 0.2, 0.9>
  translate <0.0, -0.9, 0.0>
  texture {Polished_Brass}
}
cylinder {<0, -0.5, 0>, <0, 0.5, 0>, 1.0
  scale <0.75, 0.5, 0.75>
  translate <0.0, -1.05, 0.0>
  texture {New_Brass}
}
cylinder {<0, -0.5, 0>, <0, 0.5, 0>, 1.0
  scale <0.825, 0.15, 0.825>
  translate <0.0, -1.18, 0.0>
  texture {Polished_Brass}
}
cylinder {<0, -0.5, 0>, <0, 0.5, 0>, 1.0
  scale <0.9, 0.18, 0.9>
  translate <0.0, -1.35, 0.0>
  texture {New_Brass}
}

box { <-1, -1, -1>, <1, 1, 1>
  scale <1.4, 0.09, 0.09>
  rotate <0.0, 0.0, 90.0>
  translate <-1.15, -2.1, 0.0>
  pigment {color Gray10}
}
/*
#declare mirror =
union {
 cylinder {<0, -0.5, 0>, <0, 0.5, 0>, 1.0
  scale <0.7, 0.15, 0.7>
  translate <0.15, -3.3, 0.0>
  texture {New_Brass}
 }
 disc { <0, 0, 0>, <0, 1, 0>, 0.7, 0.65
  translate <0.15, -3.22, 0.0>
  texture { New_Brass}
 }
 disc { <0, 0, 0>, <0, 1, 0>, 0.67, 0.00001
  translate <0.15, -3.25, 0.0>
  texture {Polished_Chrome
    finish {Mirror}
  }
 }
  rotate <-20, 0, -20>
}
*/
#declare mirror2 =
union {
intersection {
 sphere {<0.15, -1.06, 0.0>, 2.3 inverse
   texture {Polished_Chrome}
 }
cylinder {<0, -0.08, 0>, <0, 0.08, 0>, 0.695 open
  translate <0.15, -3.3, 0.0>
  texture {New_Brass}
 }
}
cylinder {<0, -0.08, 0>, <0, 0.08, 0>, 0.7 open
  translate <0.15, -3.3, 0.0>
  texture {New_Brass}
 }
 disc { <0, 0, 0>, <0, 1, 0>, 0.7, 0.65
  translate <0.15, -3.22, 0.0>
  texture {New_Brass}
 }
  rotate <-4.0, 0.0, -20.0>
}

#declare lensplate =
union {
torus {1.0, 0.15
  rotate <0.0, 0.0, 20.0>
  translate <0.457, 1.21, 0.0>
   pigment {color Gray15}
 }
cone { <0, -0.25, 0>, 1.0, <0, 0, 0>, 0 open
  rotate <0.0, 0.0, 200.0>
  translate <0.4805, 1.112833, 0.0>
   pigment {color Gray10} 
 }
}
